<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StaticGeometry.html">StaticGeometry</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::StaticGeometry Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a98c44ba2920c9e07d29548d5ee927b5e">addEntity</a>(Entity *ent, const Vector3 &amp;position, const Quaternion &amp;orientation=Quaternion::IDENTITY, const Vector3 &amp;scale=Vector3::UNIT_SCALE)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#aa077e3cb67caa3109a5664795644156a">addSceneNode</a>(const SceneNode *node)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a03c94e8a32918dba0fa4321e49f7135f">build</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#aca49fc26f5437c7a912a410f8fecd048">buildIndexRemap</a>(T *pBuffer, size_t numIndexes, IndexRemap &amp;remap)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#abd2234981d3ecc0da0b9f358a327fc63">calculateBounds</a>(VertexData *vertexData, const Vector3 &amp;position, const Quaternion &amp;orientation, const Vector3 &amp;scale)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a5156d3d3b98d6bdb56c6c7b7d92925e8">destroy</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a153eea6811c3e42220273c83c10b690f">determineGeometry</a>(SubMesh *sm)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ad132ec657e6e7c040b2b0231ef7b0ab9">dump</a>(const String &amp;filename) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a2efcde5992970bde422ac7465107ee62">getCastShadows</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a1772aa923f7a9518b57419c46c0cb9c0">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a601e05dd3a8f93e39cf6236760d11b6f">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ac8fe190b3218c537348b3be42bbefe28">getRegion</a>(const AxisAlignedBox &amp;bounds, bool autoCreate)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#aa30964e1f8178d327813bed4a7c1e03a">getRegion</a>(const Vector3 &amp;point, bool autoCreate)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a6b5ab1eaa6226fe62ec63f7e14c047c5">getRegion</a>(ushort x, ushort y, ushort z, bool autoCreate)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a203358f0feb296d3e6728d241bf3611f">getRegion</a>(uint32 index)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ae350aaed77bc5a43c7279a36fbe64e55">getRegionBounds</a>(ushort x, ushort y, ushort z)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#af1ec027edd8942da2318c4b06465b4e4">getRegionCentre</a>(ushort x, ushort y, ushort z)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a305bdacbbce5d91ef9d3dd3df7b4db8c">getRegionDimensions</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a3cab04ae06aa79130097f0d82819a5c7">getRegionIndexes</a>(const Vector3 &amp;point, ushort &amp;x, ushort &amp;y, ushort &amp;z)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a483ba1dbb7fcbe2be40c6168aaea5c2e">getRegionIterator</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#abc64dfea292342cc15fe7b212ee9e6f5">getRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a6d74f54dfe89ad2567ace23c9dbc60ec">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ab42fd9a095b26414d11b8a69f46ddfa4">getSquaredRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a2e1dea86d1ec8826fd9cf3a3fb99bfb1">getVisibilityFlags</a>() const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a624c61d68ba303efc8939bd24480f5f6">getVolumeIntersection</a>(const AxisAlignedBox &amp;box, ushort x, ushort y, ushort z)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a00e9b336c8a40222003c224bcdd64a78">IndexRemap</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a5cc43e2a7e7292aed18b44a9661e8ba1">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a12718b6d1611487b71a5ca44681f032a">mBuilt</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a7276450e1765fd0e30ad5dbc5579d3a6">mCastShadows</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ad5e0589f7f076bc4115c9ef4e0ccce5f">mHalfRegionDimensions</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#aed8a1cee4285b9c5f68ee6cdb77034e6">mName</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a6c9d832a7c35728a64e9a754a12c4c6f">mOptimisedSubMeshGeometryList</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a240ae98ece35afb40a62c306bc9ada9c">mOrigin</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a9b64354296359c4143d3901f144caeee">mOwner</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a7e22ae45c63445dc452204313b4a2bf5">mQueuedSubMeshes</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a32de891715160696eb12e43e284cdf8d">mRegionDimensions</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a07ce1242365254397cebf8718609fb01">mRegionMap</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a30e40527d2a49414f3ea42f5d2c1cec0">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a10ed5bde20ec843a68e43d8a7d1d2916">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ad9e3131cdc5b4fdac50094653bf7504e">mSquaredUpperDistance</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ae65ed08886e5c277250010101472924f">mSubMeshGeometryLookup</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ab5fb89ef8a654d843afbaee9fdccd754">mUpperDistance</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a1ada67e8a7858d10624a9dfa9f5398d0">mVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ad3af8e218d2d7f78ad9a9f75cde20b2c">mVisible</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#af4bfc42e3e7201fc0baa0285c4cd4600">OptimisedSubMeshGeometryList</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a6a334e24d1edd27244f1c397259ba9b7">packIndex</a>(ushort x, ushort y, ushort z)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a99b5977877244a32f98d5156e4f3e8ca">QueuedGeometryList</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ad8f16d1a633b3e8114564d3141287c11">QueuedSubMeshList</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ac58b2faf8a71daf21406ed730215a13a">RegionIterator</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#afd39fb6f3b849c840c1a6c90dff499e4">RegionMap</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a21f5ede2b9de1462009b4a4e33397a2b">remapIndexes</a>(T *src, T *dst, const IndexRemap &amp;remap, size_t numIndexes)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a0ac5afd811992ba0967a05c92e3d75ef">reset</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a71907b64bca572d90168f28cb65f23cc">setCastShadows</a>(bool castShadows)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a7e192ed9d7b41ae948b7ca0ed4cb5e0f">setOrigin</a>(const Vector3 &amp;origin)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a91b72934294a81bd107747a076fd8a69">setRegionDimensions</a>(const Vector3 &amp;size)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a275913c7bb86faf4acc86b6bd8e2a9ce">setRenderingDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a8ce1fb9687b9023947683b881d72096b">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a01a3f53c1970d60f1908cac9d1cc3b1d">setVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ab0d5c294946e519c0dad95dc9802609a">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#aca986f07fe33638829fed388a24edc29">splitGeometry</a>(VertexData *vd, IndexData *id, SubMeshLodGeometryLink *targetGeomLink)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a0487dd0323485acdda054ed41f4cc216">StaticGeometry</a>(SceneManager *owner, const String &amp;name)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a3f1ea3a58a6d233d3003de2ead158364">SubMeshGeometryLookup</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#aeb18f437d0c0f03aac5af8f3a1667444">SubMeshLodGeometryLinkList</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a83566155af8cfe9ebc83970b14978a37">visitRenderables</a>(Renderable::Visitor *visitor, bool debugRenderables=false)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a6d02bee2716715251c27dd9b4537c3d0">~StaticGeometry</a>()</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
